## bzip3 1.2.0

=== debian/changelog ===
bzip3 (1.2.0-1) unstable; urgency=medium

  * New upstream released.
  * Remove d/patches/0001-Version-bzip3-library-61.patch and
    d/patches/0002-Dynamically-link-a-library-to-the-tool-if-not-disabl.patch.
  * Add d/patches/0001-Makefile.am-Drop-rpath-option-from-LDFLAGS.patch.
  * d/control: Add git-core to B-D.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 04 Nov 2022 14:06:41 +0900

bzip3 (1.1.8-1) unstable; urgency=medium

  * Initial release. (Closes: #1022947)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 28 Oct 2022 17:32:38 +0900

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  CC=$(DEB_HOST_GNU_TYPE)-gcc
else
  CC=gcc
endif

DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with autoreconf --exclude=.la

override_dh_auto_configure:
	dh_auto_configure -- --disable-arch-native

## bzip3 1.2.1

=== debian/changelog ===
bzip3 (1.2.1-1) unstable; urgency=medium

  * New upstream released.
  * Drop d/patches/0001-Makefile.am-Drop-rpath-option-from-LDFLAGS.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 18 Nov 2022 12:07:50 +0900

## bzip3 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13 FATAL_ERROR)

project(
  bzip3
  VERSION 1.3.0
  DESCRIPTION "A better and stronger spiritual successor to BZip2"
  HOMEPAGE_URL "https://github.com/kspalaiologos/bzip3"
  LANGUAGES C)

set(CMAKE_C_STANDARD 99)

option(BUILD_SHARED_LIBS "Build libbz3 as a shared library" ON)
option(BZIP3_BUILD_APPS "Build bzip3 applications" ON)
option(BZIP3_ENABLE_PTHREAD "Enable use of pthread library" ON)
option(BZIP3_ENABLE_ARCH_NATIVE "Enable CPU-specific optimizations" OFF)
option(BZIP3_ENABLE_STATIC_EXE "Enable static builds of the executable" OFF)

include(CheckCCompilerFlag)
include(CheckSymbolExists)
include(GNUInstallDirs)

set(CMAKE_INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR})
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

set(prefix ${CMAKE_INSTALL_PREFIX})
set(exec_prefix ${CMAKE_INSTALL_PREFIX})
set(bindir ${CMAKE_INSTALL_FULL_BINDIR})
set(libdir ${CMAKE_INSTALL_FULL_LIBDIR})
set(includedir ${CMAKE_INSTALL_FULL_INCLUDEDIR})
set(PACKAGE ${CMAKE_PROJECT_NAME})
set(PACKAGE_VERSION ${PROJECT_VERSION})
configure_file(bzip3.pc.in ${CMAKE_CURRENT_BINARY_DIR}/bzip3.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/bzip3.pc
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

if(BZIP3_ENABLE_PTHREAD)
  set(THREADS_PREFER_PTHREAD_FLAG TRUE)
  find_package(Threads REQUIRED)
endif()

if(BUILD_SHARED_LIBS)
  add_library(bz3 SHARED)
else()
  add_library(bz3 STATIC)
endif()
target_sources(bz3 PRIVATE src/libbz3.c)
target_compile_definitions(bz3 PUBLIC VERSION="${PROJECT_VERSION}")
target_include_directories(
  bz3
  PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  INTERFACE $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)
if(BZIP3_ENABLE_PTHREAD)
  target_compile_definitions(bz3 PUBLIC PTHREAD)
  target_link_libraries(bz3 Threads::Threads)
endif()
if(BZIP3_ENABLE_ARCH_NATIVE)
  check_c_compiler_flag(-march=native CC_SUPPORT_MARCH_NATIVE_FLAG)
  check_c_compiler_flag(-mtune=native CC_SUPPORT_MTUNE_NATIVE_FLAG)
  if(CC_SUPPORT_MARCH_NATIVE_FLAG AND CC_SUPPORT_MTUNE_NATIVE_FLAG)
    target_link_options(bz3 PUBLIC -march=native -mtune=native)
  else()
    message(
      FATAL_ERROR
        "Compiler does not support native optimizations, disable `BZIP3_ENABLE_ARCH_NATIVE`"
    )
  endif()
endif()
set_target_properties(
  bz3
  PROPERTIES OUTPUT_NAME bzip3
             SOVERSION "0.0.0"
             PUBLIC_HEADER include/libbz3.h
             VERSION "0")
if(BUILD_SHARED_LIBS)
  set_target_properties(bz3 PROPERTIES POSITION_INDEPENDENT_CODE ON)
endif()
install(
  TARGETS bz3
  EXPORT ${CMAKE_PROJECT_NAME}-config
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
install(
  EXPORT ${CMAKE_PROJECT_NAME}-config
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${CMAKE_PROJECT_NAME}
  NAMESPACE ${CMAKE_PROJECT_NAME}::)

if(BZIP3_BUILD_APPS)
  add_executable(bzip3)
  target_sources(bzip3 PRIVATE src/main.c)
  check_symbol_exists(getopt_long "getopt.h" HAVE_GETOPT_LONG)
  if(HAVE_GETOPT_LONG)
    target_compile_definitions(bzip3 PRIVATE HAVE_GETOPT_LONG)
  endif()
  if(BZIP3_ENABLE_STATIC_EXE)
    if(BUILD_SHARED_LIBS)
      message(
        FATAL_ERROR
          "libbz3 is not built as a static library, disable `BUILD_SHARED_LIBS`"
      )
    endif()
    check_c_compiler_flag(-static CC_SUPPORT_STATIC_FLAG)
    if(CC_SUPPORT_STATIC_FLAG)
      target_link_options(bzip3 PRIVATE -static)
    else()
      message(
        FATAL_ERROR
          "Compiler does not support static linking, disable `BZIP3_ENABLE_STATIC_EXE`"
      )
    endif()
  endif()
  target_link_libraries(bzip3 PRIVATE bz3)
  install(TARGETS bzip3 RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

  set(BZIP3_APP_SCRIPTS bunzip3 bz3cat bz3grep bz3less bz3more bz3most)
  install(PROGRAMS ${BZIP3_APP_SCRIPTS} DESTINATION ${CMAKE_INSTALL_BINDIR})

  if(UNIX)
    set(BZIP3_MANS
        bunzip3.1
        bz3cat.1
        bz3grep.1
        bz3less.1
        bz3more.1
        bz3most.1
        bzip3.1)
    foreach(BZIP3_MAN ${BZIP3_MANS})
      if(EXISTS ${BZIP3_MAN}.in)
        string(TIMESTAMP MAN_DATE "%d %B %Y" UTC)
        set(TRANSFORMED_PACKAGE_NAME ${CMAKE_PROJECT_NAME})
        set(MAN_DATE ${MAN_DATE})
        set(VERSION ${PROJECT_VERSION})
        configure_file(${BZIP3_MAN}.in ${CMAKE_CURRENT_BINARY_DIR}/${BZIP3_MAN}
                       @ONLY)
      else()
        configure_file(${BZIP3_MAN} ${CMAKE_CURRENT_BINARY_DIR}/${BZIP3_MAN}
                       COPYONLY)
      endif()
      install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BZIP3_MAN}
              DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
    endforeach()
  endif()
endif()

## bzip3 1.2.2

=== debian/changelog ===
bzip3 (1.2.2-2) unstable; urgency=medium

  * Add d/patches/CVE-2023-29415.patch. Fix CVE-2023-29415. (Closes: #1034177)
    * https://github.com/kspalaiologos/bzip3/commit/56c24ca1f8f25e648d42154369b6962600f76465
    * https://github.com/kspalaiologos/bzip3/issues/95
  * Add d/patches/CVE-2023-29416.patch. Fix CVE-2023-29416. (Closes: #1034177)
    * https://github.com/kspalaiologos/bzip3/commit/bfa5bf82b53715dfedf048e5859a46cf248668ff
    * https://github.com/kspalaiologos/bzip3/issues/92
  * Add d/patches/CVE-2023-29418.patch. Fix CVE-2023-29418. (Closes: #1034177)
    * https://github.com/kspalaiologos/bzip3/commit/aae16d107f804f69000c09cd92027a140968cc9d
    * https://github.com/kspalaiologos/bzip3/issues/92
  * Add d/patches/CVE-2023-29419.patch. Fix CVE-2023-29419. (Closes: #1034177)
    * https://github.com/kspalaiologos/bzip3/commit/8ec8ce7d3d58bf42dabc47e4cc53aa27051bd602
    * https://github.com/kspalaiologos/bzip3/issues/92
  * Add d/patches/CVE-2023-29420.patch. Fix CVE-2023-29420. (Closes: #1034177)
    * https://github.com/kspalaiologos/bzip3/commit/bb06deb85f1c249838eb938e0dab271d4194f8fa
    * https://github.com/kspalaiologos/bzip3/issues/92
  * Add d/patches/CVE-2023-29421.patch. Fix CVE-2023-29421. (Closes: #1034177)
    * https://github.com/kspalaiologos/bzip3/commit/33b1951f153c3c5dc8ed736b9110437e1a619b7d
    * https://github.com/kspalaiologos/bzip3/issues/94

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 06 May 2023 23:59:33 +0900

bzip3 (1.2.2-1) unstable; urgency=medium

  * New upstream released.
  * d/rules: Remove upstream_version, use DEB_VERSION_UPSTREAM instead of.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 22 Jan 2023 08:40:52 +0900

bzip3 (1.2.1-2) unstable; urgency=medium

  * Add .tarball-version for fix manpages's version. (Closes: #1025696)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 06 Jan 2023 14:48:51 +0900

=== debian/control ===
Source: bzip3
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               pkg-config,
               git-core
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/bzip3
Vcs-Git: https://salsa.debian.org/debian/bzip3.git
Homepage: https://github.com/kspalaiologos/bzip3

Package: libbzip3-0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: better, faster and stronger spiritual successor to bzip2 - runtime
 Features higher compression ratios and better performance thanks to a order-0
 context mixing entropy coder, a fast Burrows-Wheeler transform code making use
 of suffix arrays and a RLE with Lempel Ziv+Prediction pass based on LZ77-style
 string matching and PPM-style context modeling.
 .
 This package includes the shared library.

Package: libbzip3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libbzip3-0 (= ${binary:Version}),
         libc6-dev | libc-dev
Description: better, faster and stronger spiritual successor to bzip2 - development
 Features higher compression ratios and better performance thanks to a order-0
 context mixing entropy coder, a fast Burrows-Wheeler transform code making use
 of suffix arrays and a RLE with Lempel Ziv+Prediction pass based on LZ77-style
 string matching and PPM-style context modeling.
 .
 This package contains files that are needed to build applications.

Package: bzip3
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libbzip3-0 (= ${binary:Version})
Description: better, faster and stronger spiritual successor to bzip2 - utilities
 Features higher compression ratios and better performance thanks to a order-0
 context mixing entropy coder, a fast Burrows-Wheeler transform code making use
 of suffix arrays and a RLE with Lempel Ziv+Prediction pass based on LZ77-style
 string matching and PPM-style context modeling.
 .
 This package contains files that is tool using libbzip3.

## bzip3 1.2.3

=== debian/changelog ===
bzip3 (1.2.3-1) experimental; urgency=medium

  * New upstream released.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 30 Mar 2023 14:34:15 +0900

## bzip3 1.3.1

=== debian/changelog ===
bzip3 (1.3.1-1) unstable; urgency=medium

  * New upstream released.
  * d/patches: Remove d/patches
  * d/control:
    * Bump Standards-Version to 4.6.2.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 12 Jun 2023 14:06:28 +0900

## bzip3 1.3.2

=== debian/changelog ===
bzip3 (1.3.2-1) unstable; urgency=medium

  * New upstream released.
  * d/clean: Add .tarball-version. (Closes: #1043791)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 25 Aug 2023 14:13:41 +0900

## bzip3 1.4.0

=== debian/changelog ===
bzip3 (1.4.0-1) unstable; urgency=medium

  * New upstream released.
  * d/copyright: Update copyright year.
  * Add d/copyright-check and d/copyright_hints for check copyright.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 05 Jan 2024 09:03:41 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13),
                pkg-config,
                git-core
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/bzip3
 Vcs-Git: https://salsa.debian.org/debian/bzip3.git

=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,9 @@
 %:
 	dh $@ --with autoreconf --exclude=.la
 
+override_dh_update_autotools_config:
+	@echo $(DEB_VERSION_UPSTREAM) > .tarball-version
+	dh_update_autotools_config
+
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-arch-native

## bzip3 1.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(
   bzip3
-  VERSION 1.3.0
+  VERSION 1.5.1
   DESCRIPTION "A better and stronger spiritual successor to BZip2"
   HOMEPAGE_URL "https://github.com/kspalaiologos/bzip3"
   LANGUAGES C)
@@ -88,10 +88,6 @@
 if(BZIP3_BUILD_APPS)
   add_executable(bzip3)
   target_sources(bzip3 PRIVATE src/main.c)
-  check_symbol_exists(getopt_long "getopt.h" HAVE_GETOPT_LONG)
-  if(HAVE_GETOPT_LONG)
-    target_compile_definitions(bzip3 PRIVATE HAVE_GETOPT_LONG)
-  endif()
   if(BZIP3_ENABLE_STATIC_EXE)
     if(BUILD_SHARED_LIBS)
       message(

=== debian/changelog ===
bzip3 (1.5.1-1) unstable; urgency=medium

  * New upstream released.
  * d/contorl
    * Update pkg-config to pkgconf in B-D.
    * Bump Standards-Version to 4.7.0.
    * Bump soname from 0 to 1.
  * d/copyright
    * Drop 'include/getopt-shim.h' sentence.
    * Update copyright year to 2025.
  * d/copyright_hints: Update.
  * d/libbzip3-1.symbols: Add file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 24 Jan 2025 17:16:36 +0900

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Section: devel
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               pkg-config,
+               pkgconf,
                git-core
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/bzip3
 Vcs-Git: https://salsa.debian.org/debian/bzip3.git
 Homepage: https://github.com/kspalaiologos/bzip3
 
-Package: libbzip3-0
+Package: libbzip3-1
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -31,7 +31,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
-         libbzip3-0 (= ${binary:Version}),
+         libbzip3-1 (= ${binary:Version}),
          libc6-dev | libc-dev
 Description: better, faster and stronger spiritual successor to bzip2 - development
  Features higher compression ratios and better performance thanks to a order-0
@@ -46,7 +46,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libbzip3-0 (= ${binary:Version})
+         libbzip3-1 (= ${binary:Version})
 Description: better, faster and stronger spiritual successor to bzip2 - utilities
  Features higher compression ratios and better performance thanks to a order-0
  context mixing entropy coder, a fast Burrows-Wheeler transform code making use

## bzip3 1.5.2

=== debian/changelog ===
bzip3 (1.5.2-1) unstable; urgency=medium

  * New upstream released.
  * d/rules:
    - Fix build with dwarf-5.
  * d/copyright:
    - Fixes lintian old-fsf-address-in-copyright-file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 12 Aug 2025 07:03:16 +0900

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,9 @@
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
 
+export DEB_CFLAGS_MAINT_APPEND := -gdwarf-4
+export DEB_CXXFLAGS_MAINT_APPEND := -gdwarf-4
+
 %:
 	dh $@ --with autoreconf --exclude=.la

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bzip3-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/kspalaiologos/bzip3/tags .*/v?(\d\S*)\.tar\.gz

## bzip3 1.5.3

=== debian/changelog ===
bzip3 (1.5.3-1) unstable; urgency=medium

  * New upstream released.
  * d: Change upstreram URL to https://github.com/iczelia/bzip3
  * Switch build tools from autoconf to cmake. Drop git-core from B-D, and
    add cmake to B-D.
  * d/patches
    - Add cmake-Set-CMAKE_CURRENT_SOURCE_DIR-to-path-of-BZIP3_.patch
    - Add cmake-Set-true-to-CMAKE_SKIP_BUILD_RPATH.patch
    - Add cmake-Set-the-same-soname-as-Makefile.am-168.patch
    - Add autoconf-Define-extra_cflags-variable-169.patch
  * d/control: Dumped Standards-Version to 4.7.2. No changes needed

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 19 Aug 2025 07:12:00 +0900

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                pkgconf,
-               git-core
-Standards-Version: 4.7.0
+	       cmake
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/bzip3
 Vcs-Git: https://salsa.debian.org/debian/bzip3.git
-Homepage: https://github.com/kspalaiologos/bzip3
+Homepage: https://github.com/iczelia/bzip3
 
 Package: libbzip3-1
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,20 @@
 export DEB_CXXFLAGS_MAINT_APPEND := -gdwarf-4
 
 %:
-	dh $@ --with autoreconf --exclude=.la
-
-override_dh_update_autotools_config:
-	@echo $(DEB_VERSION_UPSTREAM) > .tarball-version
-	dh_update_autotools_config
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-arch-native
+	dh_auto_configure \
+		-- -DBUILD_SHARED_LIBS=YES
+
+	dh_auto_configure --builddirectory=static \
+		-- -DBUILD_SHARED_LIBS=NO
+
+override_dh_auto_build:
+	dh_auto_build
+	dh_auto_build --builddirectory=static
+
+override_dh_auto_install:
+	dh_auto_install
+	dh_auto_install --builddirectory=static --destdir=debian/tmp-static
+	cp debian/tmp-static/usr/lib/${DEB_HOST_MULTIARCH}/*.a debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bzip3-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/iczelia/bzip3/tags .*/v?(\d\S*)\.tar\.gz
